=== debian/changelog ===
lv2core (4.0-6) unstable; urgency=low

  * Added patch to fix snprintf overflow (Closes: #624775)
    - thanks to Dan Muresan <danmbox3@yahoo.ro>
  * Bump Standards

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 03 May 2011 11:47:20 +0200

lv2core (4.0-5) unstable; urgency=low

  * Upload to unstable.
  * debian/copyright: Fix small issues.

 -- Alessio Treglia <alessio@debian.org>  Tue, 29 Mar 2011 13:33:37 +0200

lv2core (4.0-4) experimental; urgency=low

  * debian/dh_lv2config:
    - Headers tree must begin with /usr/include/lv2/.
  * Provide /usr/include/lv2.h (symlink) for backward compatibility.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Mar 2011 17:42:25 +0200

lv2core (4.0-3) experimental; urgency=low

  * Fix dh_lv2config.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Mar 2011 13:08:51 +0200

lv2core (4.0-2) experimental; urgency=low

  * Use lv2config to create the #include directory tree:
    - Remove /usr/include/lv2.h in order to let packages build against
      this to check if they are LV2rev4-compliant. We'll reintroduce a
      symlink into /usr/include/lv2.h later in unstable, for backward
      compatibility.
  * debian/patches/0001-lv2config_bundle_prefix.patch:
    - Several improvements to lv2config, which accepts 2 options
      on the command line now:
      + -d DESTDIR
      + -b BUNDLE_PREFIX
  * debian/copyright:
    - Re-order stanzas.
    - Add copyright holders for lv2.h.
    - A bit of clean-up.
  * debian/lv2config.1:
    - Various improvements.
    - Merge upstream changes, thanks David!
  * First release of dh_lv2config, please use with caution.
  * Add debhelper sequence file for dh_lv2config.
  * Add build-dependency on perl.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Mar 2011 11:04:14 +0200

lv2core (4.0-1) experimental; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release
  * Added .gitignore file
  * Switched to format 3
  * Added gpp.conf file
  * Added local-options file
  * Fixed watch file  master
  * Updated copyright file to rev.166
  * Switch architecture to any
  * Manpages added for lv2config

  [ Alessio Treglia ]
  * Fix licenses' denomination.
  * Fix description-synopsis-starts-with-article warning.

 -- Alessio Treglia <alessio@debian.org>  Fri, 25 Mar 2011 12:36:17 +0100

lv2core (3.0-3) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Reordered control file
  * Added DM-Upload-Allowed: yes

  [ Alessio Treglia ]
  * Add myself as uploader.
  * Bump Standards.
  * Switch to debhelper 7.
  * Set source format to 1.0.
  * Update debian/copyright.
  * Move python from Build-Depends-Indep to Build-Depends field.

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Mon, 10 May 2010 20:46:27 +0200

lv2core (3.0-2) unstable; urgency=low

  [ Adrian Knoth ]
  * Fix small typo found by lintian.

  [ Jaromír Mikeš ]
  * Add missing attributions to debian/copyright
  * Maintainer changed in debian/control

 -- Free Ekanayaka <freee@debian.org>  Fri, 31 Jul 2009 09:22:24 +0200

lv2core (3.0-1) unstable; urgency=low

  * Initial release (Closes: #522070) 

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 28 Jul 2009 02:48:39 +0200
