=== debian/control ===
Source: lv2core
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 perl,
 python
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2core.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lv2core.git
Homepage: http://lv2plug.in/

Package: lv2core
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: LV2 audio plugin specification
 This package contains the 'core' LV2 audio plugin specification,
 including data required by hosts to make effective use of LV2 plugins.
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA
 which many applications have outgrown.
