=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr

override_dh_auto_build:
	$(WAF)
	pod2man debian/dh_lv2config debian/dh_lv2config.1

override_dh_auto_clean:
	$(WAF) distclean
	rm -f  autowaf.pyc

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/lv2core
	rm -f $(CURDIR)/debian/lv2core/usr/include/lv2.h

override_dh_install:
	dh_install
	debian/lv2core/usr/bin/lv2config \
		-d debian/lv2core \
		-b debian/lv2core \
	/usr/include/lv2 debian/lv2core/usr/lib/lv2

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
