## lv2core 6.0

=== debian/changelog ===
lv2core (6.0-1) unstable; urgency=low

  * New upstream release:
    - Switch to the ISC license, a simple BSD-style license (with permission
      of all contributors to lv2.h and its ancestor, ladspa.h).
    - Remove lv2config in favour of the simple convention that specifications
      install headers to standard URI-based paths.
    - Make lv2core.ttl a valid OWL 2 DL ontology.
    - Improve documentation.
    - Add lv2:extensionData and lv2:ExtensionData for plugins to indicate
      that they support some URI for extension_data().
    - Rename core.lv2 and lv2.ttl to lv2core.lv2 and lv2core.ttl to adhere
      to modern conventions.
  * debian/control:
    - Switch lv2core package to Architecture: all, no architecture-dependent
      files are provided.
    - Add Suggests: lv2-extensions-good.
  * debian/copyright:
    - Update to reflect upstream license changes.
    - Add a comment about the relicensing.
  * Drop lv2config, it's not needed anymore.
  * Install NEWS as upstream's changelog instead of ChangeLog.
  * Remove all patches, no longer needed.

 -- Alessio Treglia <alessio@debian.org>  Fri, 02 Dec 2011 18:32:35 +0100
