=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
 Homepage: http://lv2plug.in/
 
 Package: lv2core
-Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: lv2-extensions-good
 Description: LV2 audio plugin specification
  This package contains the 'core' LV2 audio plugin specification,
  including data required by hosts to make effective use of LV2 plugins.
