=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean
	rm -f  autowaf.pyc

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/lv2core
	rm -f $(CURDIR)/debian/lv2core/usr/include/lv2.h

override_dh_installchangelogs:
	dh_installchangelogs NEWS
