=== debian/changelog ===
lv2core (6.0+dfsg0-3) unstable; urgency=medium

  * Set dh/compat 9.
  * Bump Standards.
  * Don't sign tags.
  * Enable parallel build.
  * Watch file mangle version.
  * Update VCS fields.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 15 Jun 2015 14:57:10 +0200

lv2core (6.0+dfsg0-2) unstable; urgency=low

  * Migration from lv2core to lv2-dev:
    - Make lv2core a dummy package for a smooth transition.
    - Update package's description accordingly.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 13 Jun 2012 10:11:01 +0200

lv2core (6.0+dfsg0-1) unstable; urgency=low

  * Repack upstream tarball to get rid of the waf binary (Closes: #654487).
  * Properly clean sources tree.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 02:56:24 +0100
