=== debian/control ===
Source: lv2core
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 perl,
 python
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lv2core.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/lv2core.git
Homepage: http://lv2plug.in/

Package: lv2core
Section: oldlibs
Architecture: all
Depends:
 lv2-dev,
 ${misc:Depends}
Description: LV2 audio plugin specification (dummy package)
 This package contains the 'core' LV2 audio plugin specification,
 including data required by hosts to make effective use of LV2 plugins.
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA
 which many applications have outgrown.
 .
 The unified LV2 release is now provided by the lv2-dev package. This
 is a dummy package and can be safely removed after the installation.
